### 7.6 Invoking mup2ly

Mup (Music Publisher) is a shareware music notation program by Arkkra Enterprises. Mup2ly will convert part of a Mup file to LilyPond format. It is invoked as follows:

                 mup2ly [option]... mup-file

The following options are supported by mup2ly:

`-d,--debug`
  show what constructs are not converted, but skipped.
`-D, --define=`name`[=exp]`
  define macro name with opt expansion `exp`
`-E,--pre-process`
  only run the pre-processor
`-h,--help`
  print help
`-o,--output=`file
  write output to file
`-v,--version`
  version information
`-w,--warranty`
  print warranty and copyright.

##### Bugs

Only plain notes (pitches, durations), voices, and staves are converted.

Read comments on this page, or add one. This page is for LilyPond-2.2.5 (stable-branch).